Retrieve loyalty points of a guest (Earned/Redeemed)

Purpose: Use this API to retrieve the details of loyalty points that are either earned or redeemed by the guest.

To retrieve the loyalty points of a guest - earned, you must pass one of the following parameters:

invoice_id
program_id
manual_guest_points_id
associated_guest_points_id

Note: You can pass multiple associated_guest_points_id parameters as comma-separated values.

To retrieve the loyalty points of a guest - redeemed, you must pass the following parameter:

invoice_id (mandatory)

Response Object

NameTypeDescription
earnedobjectThe total points earned by the guest.
redeemedobjectThe total points redeemed by the guest.

earned Object

NameTypeDescription
actionstringThe action because of which the guest earned the points in Zenoti. This action could be a purchase of a service, a product, or referring a guest.
pointsstringThe number of points earned for the corresponding action.
tierstringThe tier of the guest's loyalty program.
Learn more about the types of Loyalty Programs in Zenoti.

redeemed Object

NameTypeDescription
invoice_nostringThe invoice number in which the guest's loyalty points are redeemed.
receipt_nostringThe receipt number of the redeemed loyalty points.
pointsstringThe total points that are redeemed by the guest in the corresponding invoice.
Path Params
string
required

Unique identifier of the guest.

string
enum
required

The type of loyalty points (earned or redeemed) that you are requesting in the API. Please specify one of the following: 0 = earned 1 = redeemed

Allowed:
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json